Package org.eclipse.birt.report.model.api

# Class ParameterGroupHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.ParameterGroupHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IParameterGroupModel`

Direct Known Subclasses:
  `CascadingParameterGroupHandleImpl`

public class ParameterGroupHandle extends ReportElementHandle implements org.eclipse.birt.report.model.elements.interfaces.IParameterGroupModel
Represents a group of parameters. A parameter group creates a visual grouping of parameters.

See Also:
  - `ParameterGroup`

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IParameterGroupModel

`HELP_TEXT_KEY_PROP, HELP_TEXT_PROP, PARAMETERS_SLOT, PROMPT_TEXT_ID_PROP, PROMPT_TEXT_PROP, START_EXPANDED_PROP`

## Constructor Summary

Constructors
Constructor
Description
`ParameterGroupHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs the handle for a group parameters with the given design and element.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpText()`
Returns additional pop-up help text associated with the group.
`String`
`getHelpTextKey()`
Returns the resource key of the help text for this parameter group.
`SlotHandle`
`getParameters()`
Returns a slot handle to work with the parameters within the parameter group.
`String`
`getPromptText()`
Gets the display prompt text.
`String`
`getPromptTextKey()`
Returns the prompt text key.
`void`
`setHelpText(String text)`
Returns additional pop-up help text associated with the group.
`void`
`setHelpTextKey(String text)`
Sets the resource key of the help text for this parameter group.
`void`
`setPromptText(String promptValue)`
Sets the value for the display prompt context.
`void`
`setPromptTextKey(String promptIDValue)`
Set the value for the prompt text key.
`void`
`setStartExpanded(boolean value)`
Sets whether the UI can expand and collapse groups.
`boolean`
`startExpanded()`
Tests whether the UI can expand and collapse groups.

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterGroupHandle

public ParameterGroupHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs the handle for a group parameters with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getParameters

public SlotHandle getParameters()
Returns a slot handle to work with the parameters within the parameter group.

Returns:
  a handle for working with the parameters in this group
See Also:
  - `SlotHandle`

### getHelpText

public String getHelpText()
Returns additional pop-up help text associated with the group.

Returns:
  the help text

### setHelpText

public void setHelpText(String text) throws SemanticException
Returns additional pop-up help text associated with the group.

Parameters:
  `text` - the help text
Throws:
  `SemanticException` - if the help text property is locked.

### getHelpTextKey

public String getHelpTextKey()
Returns the resource key of the help text for this parameter group.

Returns:
  the resource key of the help text

### setHelpTextKey

public void setHelpTextKey(String text) throws SemanticException
Sets the resource key of the help text for this parameter group.

Parameters:
  `text` - the resource key of the help text
Throws:
  `SemanticException` - if the resource-key of the help text property is locked.

### startExpanded

public boolean startExpanded()
Tests whether the UI can expand and collapse groups.

Returns:
  `true` if can expand, otherwise `false`.

### setStartExpanded

public void setStartExpanded(boolean value) throws SemanticException
Sets whether the UI can expand and collapse groups.

Parameters:
  `value` - `true` if can expand, `false` not.
Throws:
  `SemanticException` - if the property is locked.

### getPromptText

public String getPromptText()
Gets the display prompt text.

Returns:
  the display prompt.

### getPromptTextKey

public String getPromptTextKey()
Returns the prompt text key.

Returns:
  the prompt text key.

### setPromptText

public void setPromptText(String promptValue) throws SemanticException
Sets the value for the display prompt context.

Parameters:
  `promptValue` - The display prompt context.
Throws:
  `SemanticException`

### setPromptTextKey

public void setPromptTextKey(String promptIDValue) throws SemanticException
Set the value for the prompt text key.

Parameters:
  `promptIDValue` - The prompt text key.
Throws:
  `SemanticException`